#!/usr/bin/env sh

test -n "${KUBESPRAY_REPO}" && echo "Use own kubespray repo: ${KUBESPRAY_REPO}"
git submodule add --name kubespray --depth 1 -- "${KUBESPRAY_REPO:-https://github.com/southbridgeio/kubespray.git}"
test -n "${KUBESPRAY_COMMIT}" && ( echo "Use kubespray repo commit: ${KUBESPRAY_COMMIT}" && cd kubespray && git checkout "${KUBESPRAY_COMMIT}" && cd .. ) || true

python3 -m venv --upgrade --system-site-packages .venv-kubespray
.venv-kubespray/bin/pip3 install --upgrade pip setuptools wheel
.venv-kubespray/bin/pip3 install -r kubespray/requirements.txt
